Skip to main content
GET
/
api
/
v1
/
scans
/
{scan_id}
/
features
/
{feature_id}
/
workflow
Get Feature Workflow
curl --request GET \
  --url https://api.valiqor.com/api/v1/scans/{scan_id}/features/{feature_id}/workflow \
  --header 'Authorization: Bearer <token>'
{
  "feature_id": "<string>",
  "feature_kind": "<string>",
  "steps": [
    {
      "function_name": "<string>",
      "step_type": "<string>",
      "line_number": 123,
      "operations": [
        "<string>"
      ],
      "is_entry_point": true,
      "is_graph_node": true,
      "step_order": 123
    }
  ],
  "loop_edges": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

scan_id
string
required
feature_id
string
required

Response

Successful Response

Response for a complete workflow

feature_id
string
required
feature_kind
string
required
steps
WorkflowStepResponse · object[]
required
loop_edges
Loop Edges · object[]
required